// remote control name
#define  REMOTE_NAME     "digital" 

// remote control buttons
#define  PLAY            "VIDEO"     
#define  SLOW            "DOWN"     
#define  PAUSE           "FREEZE"     
#define  FASTFORWARD     "UP"     
#define  ENTER           "ENTER"  
#define  UP              "UP"
#define  DOWN            "DOWN"  
#define  LEFT            "LEFT"
#define  RIGHT           "RIGHT"
#define  MENU            "DISPLAY"
#define  NORMAL          "EXIT"

//setup menu
#define  MENU_VIDEO            6
#define  MENU_AC3              3
#define  MENU_SUBTITLES        2
#define  MENU_CSS              5
#define  MENU_SYNC             4
#define  MENU_FILE             1
#define  MENU_LAST             6

// ir_command state
#define  EMPTY           0
#define  COMMAND         1
#define  NUM_KEY         2          

void remote_control(int dev);

struct ir_command
{
  char state;
  char command[32];
  int  number;
};
